let permissions = localStorage.getItem("permissionList").split(',');

// 商品管理
//商品审核
export const verifyproduct = permissions.indexOf("/product/update/verify")>=0;
//商品删除
export const delproduct = permissions.indexOf("/update/deleteStatus")>=0;
//商品编辑
export const updateproduct = permissions.indexOf("/product/update/")>=0;
//商品新增
export const createproduct = permissions.indexOf("/product/create")>=0;

// 商品分类
// 商品分类新增
export const createproductCategory = permissions.indexOf("/productCategory/create")>=0;
// 商品分类删除
export const deleteproductCategory = permissions.indexOf("/productCategory/delete/*")>=0;
// 商品分类更新
export const updateproductCategory = permissions.indexOf("/productCategory/update/*")>=0;

// 品牌
// 品牌新增
export const createbrand = permissions.indexOf("/brand/create")>=0;
// 品牌更新
export const updatebrand = permissions.indexOf("/brand/update/*")>=0;
// 品牌删除
export const deletebrand = permissions.indexOf("/brand/delete/*")>=0;

//用户列表
// 用户新增
export const createuse = permissions.indexOf("/admin/register")>=0;
// 用户更新
export const updateuse = permissions.indexOf("/admin/update/*")>=0;
// 用户删除
export const deleteuse = permissions.indexOf("/admin/delete/*")>=0;
// 用户分配角色
export const roleuse = permissions.indexOf("/admin/role/update")>=0;

// 角色
// 角色新增
export const createrole = permissions.indexOf("/role/create")>=0;
// 角色更新
export const updaterole = permissions.indexOf("/role/update/*")>=0;
// 角色删除
export const deleterole = permissions.indexOf("/role/delete")>=0;
// 角色分配菜单
export const allotrolemenu = permissions.indexOf("/role/allocMenu")>=0;
// 角色分配资源
export const allotroleresource = permissions.indexOf("/role/allocResource")>=0;

// 菜单
// 菜单新增
export const createmenu = permissions.indexOf("/menu/create")>=0;
// 菜单更新
export const updatemenu = permissions.indexOf("/menu/update/*")>=0;
// 菜单删除
export const deletemenu = permissions.indexOf("/menu/delete/*")>=0;
 

// 生产地管理
export const originsave = permissions.indexOf("/origin/save")>=0;
export const originupdate = permissions.indexOf("/origin/update")>=0;
export const origindelete = permissions.indexOf("/origin/delete")>=0;

// 供应商管理
export const companycreate = permissions.indexOf("/umsCompany/info/add")>=0;
export const companydelete = permissions.indexOf("/umsCompany/info/delete")>=0;
export const companyupdate = permissions.indexOf("/umsCompany/info/update")>=0;

// 广告
export const adcreate = permissions.indexOf("/home/extension/create")>=0;
export const adupdate = permissions.indexOf("/home/extension/update/*")>=0;
export const addelete = permissions.indexOf("/home/extension/delete")>=0;
